Question-and-Answer Resource for the Building Energy Modeling Community
Get started with the Help page
Ask Your Question
2

IDF fails conversion 9.0.1 to 9.1.0

asked 2019-08-18 13:59:21 -0600

updated 2019-08-19 12:07:52 -0600

Here are the steps taken in the labyrinth which is to simply convert IDF versions:

i) Have downloaded some IDF files here https://figshare.com/articles/Fileset...
ii) confirm they are version 9.0.1
iii) Running 9.1.0 in windows 10 fresh install of Eplus asks for version updater. Opened the documentation auxiliaryprograms.pdf and no direct solution is given.
iv) Opening IDFVersionUpdater and browsing to file, it does not allow to convert because supposedly we have to download the library from help web.
v) Went to the said website and found only this: http://energyplus.helpserve.com/Knowl... which basically has incoherent text file with its contents adding nothing.
vi) Checked also the exe in C:\EnergyPlusV9-1-0\PreProcess\IDFVersionUpdater\Transition-V9-0-0-to-V9-1-0.exe (no 9.0.1 !?!) and ran as admin
vii) it opens a CLI window where asks for the path, after add the full path added click ok
viii) it starts processing, but apparently no file is created, and it simply proceeds to ask again for file path.

Thanks in advance for information, and btw for developers you should raise an issue to make these updates embedded, because documentation and website are obscure in my user opinion.

Regards.

edit retag flag offensive close merge delete

Comments

1

v) Correct link is this one. But that shouldn't apply to your, because these files are meant to be able to convert pre 7.2.0 files. 9.0.1 to 9.1.0 should work out of the box

Julien Marrec gravatar image Julien Marrec  ( 2019-08-19 07:30:42 -0600 )edit
1

I think you may be hitting this bug: https://github.com/NREL/EnergyPlus/is...

Julien Marrec gravatar image Julien Marrec  ( 2019-08-19 07:32:22 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
3

answered 2019-08-19 10:43:37 -0600

updated 2019-08-19 10:46:28 -0600

You can simply change the version from 9.0.1 to 9.1 and it will run fine. The only changes from 9.0 (or 9.0.1) to 9.1 were in ZoneHVAC:EquipmentList and HybridModel:Zone. Since these files do not include those objects (at least the one I tested), you can simply change the version number in the IDF file and run it in 9.1.

The reason why the IDFVersionUpdater gives you an error is because it doesn't have the transition file to go from 9.0.1 to 9.1, because 9.0.1 was a minor update to 9.0, and no additional transition file was created. If you change the version object from 9.0.1 to 9.0, the IDFVersionUpdater to v9.1 works fine (and you will notice, there is no change other than updating the version number).

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Training Workshops

Question Tools

1 follower

Stats

Asked: 2019-08-18 13:59:21 -0600

Seen: 189 times

Last updated: Aug 19 '19